Bug 612867 - changing tuned profile breaks libvirt networking
changing tuned profile breaks libvirt networking
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Laine Stump
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-09 05:28 EDT by Jan Vcelak
Modified: 2013-03-03 20:27 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 612865
Environment:
Last Closed: 2011-06-17 14:05:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Jan Vcelak 2010-07-09 05:29:30 EDT
libvirt-0.8.1-13.el6.x86_64

[root@rhel6 ~]# sysctl net.ipv4.ip_forward
net.ipv4.ip_forward = 1
[root@rhel6 ~]# tuned-adm profile default
Stopping tuned:                                            [  OK  ]
Switching to profile 'default'
Applying ktune sysctl settings:
/etc/ktune.d/tunedadm.conf:                                [  OK  ]
Applying sysctl settings from /etc/sysctl.conf
Starting tuned:                                            [  OK  ]
[root@rhel6 ~]# sysctl net.ipv4.ip_forward
net.ipv4.ip_forward = 0
Comment 3 Laine Stump 2010-07-13 11:36:15 EDT
The same thing happens if, for example, your machine boots with NetworkManager disabled, and you later enable NetworkManager. If libvirtd started at boot time, it would have turned ip_forwarding on, but enabling NetworkManager turns it off.

Should libvirt be making this change permanent as a routine part of starting up libvirtd? Or should we instead not touch it at all, and tell the user that they need to change their configuration outside the context of libvirt?
Comment 4 RHEL Product and Program Management 2010-07-15 11:00:06 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Note You need to log in before you can comment on or make changes to this bug.